Searched refs:fail (Results 1 - 20 of 20) sorted by relevance

/ast/src/lib/libast/regex/
H A Dregrexec.c44 register size_t* fail; local
66 fail = e->re.bm.fail;
85 if ((index += fail[n + 1]) < len)
H A Dreglib.h343 size_t* fail; member in struct:Bm_s
353 int* fail; member in struct:String_s
H A Dregcomp.c3077 a->re.bm.fail = &a->re.bm.skip[UCHAR_MAX + 1];
3082 a->re.bm.fail[i] = 2 * n - i;
3113 DEBUG_TEST(0x0010,sfprintf(sfstderr, "BM#2: fail[%d]=%d => %d\n", k, a->re.bm.fail[k], (a->re.bm.fail[k] > n - j) ? (n - j) : a->re.bm.fail[k]), (0));
3114 if (a->re.bm.fail[k] > n - j)
3115 a->re.bm.fail[k] = n - j;
3120 if (a->re.bm.fail[i] > n + k - i)
3122 DEBUG_TEST(0x0010,sfprintf(sfstderr, "BM#4: fail[
[all...]
H A Dregnexec.c1347 f = rex->re.string.fail;
1910 register size_t* fail = e->re.bm.fail; local
1960 if ((index += fail[n + 1]) >= len)
/ast/src/cmd/std/
H A Diconv.c141 int fail; local
220 fail = 0;
242 fail = 1;
256 return error_info.errors != 0 || fail;
/ast/src/lib/libdss/
H A Dcxeval.c54 if (expr->fail && cxbeg(cx, expr->fail, method))
116 if (expr->fail && cxend(cx, expr->fail))
201 else if (expr->fail && (t = eval(cx, expr->fail, data, rv)) < 0)
H A Ddss-compress.h74 if (expr->pass || expr->fail || expr->parent->pass != expr)
H A Ddss-count.h75 sfprintf(expr->op, "%I*u/%I*u\n", sizeof(expr->parent->selected), expr == expr->parent->fail ? (expr->parent->queried - expr->parent->selected) : expr->parent->selected, sizeof(expr->parent->queried), expr->parent->queried);
H A Ddssopen.c791 if (expr->fail && hasquery(expr->fail))
859 if (expr->pass || expr->fail || expr->next)
H A Dcx.h554 Cxexpr_t* fail; /* fail branch */ member in struct:Cxexpr_s
/ast/src/cmd/ss/
H A Dss.c85 char* fail; member in struct:__anon219
124 sp->fail = "*unknown host*";
126 sp->fail = "*no status*";
245 if ((sp = *sv)->fail)
246 sfprintf(sfstdout, "%-12s %s\n", sp->name, sp->fail);
/ast/src/cmd/pax/
H A DMakefile48 data/star-all-fail-1.dat \
49 data/star-gnu-fail-1.dat \
50 data/star-gnu-fail-2.dat \
/ast/src/cmd/ksh93/sh/
H A Dio.c1260 goto fail;
1292 goto fail;
1297 goto fail;
1422 goto fail;
1430 goto fail;
1434 goto fail;
1452 goto fail;
1457 goto fail;
1470 goto fail;
1512 goto fail;
[all...]
H A Dpath.c1178 * On apollo's execve will fail with eacces when
1300 goto fail;
1304 goto fail;
1316 fail:
H A Dxec.c3947 goto fail;
3997 fail:
/ast/src/lib/libast/port/
H A Dastconf.c498 * otherwise synthesize(fp,path,fail) called
502 initialize(register Feature_t* fp, const char* path, const char* command, const char* succeed, const char* fail) argument
508 error(-6, "astconf initialize name=%s path=%s command=%s succeed=%s fail=%s fp=%p%s", fp->name, path, command, succeed, fail, fp, state.synthesizing ? " SYNTHESIZING" : "");
611 error(-6, "state.std=%d %s [%s] std=%s ast=%s value=%s ok=%d", state.std, fp->name, ok ? succeed : fail, fp->std, fp->ast, fp->value, ok);
613 synthesize(fp, path, ok ? succeed : fail);
/ast/src/cmd/ksh93/tests/
H A Dattributes.sh54 then err_exit reference variables fail
226 [[ $($SHELL -c 'typeset -r IFS=;print -r $(pwd)' 2> /dev/null) == "$(pwd)" ]] || err_exit 'readonly IFS causes command substitution to fail'
H A Doptions.sh237 pipefail pipe-fail pipe_fail \
327 then err_exit "[[ -o ?$opt ]] should fail"
330 then err_exit "[[ -o ?no$opt ]] should fail"
503 $SHELL -uc 'var=foo;unset var;: ${var%foo}' >/dev/null 2>&1 && err_exit '${var%foo} should fail with set -u'
504 $SHELL -uc 'var=foo;unset var;: ${!var}' >/dev/null 2>&1 && err_exit '${!var} should fail with set -u'
505 $SHELL -uc 'var=foo;unset var;: ${#var}' >/dev/null 2>&1 && err_exit '${#var} should fail with set -u'
506 $SHELL -uc 'var=foo;unset var;: ${var-OK}' >/dev/null 2>&1 || err_exit '${var-OK} should not fail with set -u'
507 $SHELL -uc 'var=foo;nset var;: ${var:-OK}' >/dev/null 2>&1 || err_exit '${var:-OK} should not fail with set -u'
/ast/src/cmd/INIT/
H A Diffe.sh1035 [+fail?If the test fails then the block text is evaluated by
1875 fail=
2100 'fail{') fail=$x ;;
2102 'nopass{') fail=$x v='fail{' ;;
4538 FAILURE) user_pf=$fail user_yn=$no ;;
H A Dpackage.sh4892 test) T=`grep -ci 'fail[es]' $admin_log/$2` ;;
5448 *) echo "$command: warning: $t: not found -- some $action actions may fail" >&2
6550 error*|fail*)

Completed in 79 milliseconds